summaryrefslogtreecommitdiffstats
path: root/python/affine
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <bosth@alumni.sfu.ca>2018-03-17 19:58:57 -0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-24 06:50:35 +0700
commitd8362b085a2f4ab9a5ce8a61d26906736813a435 (patch)
tree63b01c20c089f498ac2fa25292fec57c3d1a4597 /python/affine
parentde11fe585d6d288a4685d507eb6a7c7d862b0e9c (diff)
downloadslackbuilds-d8362b085a2f4ab9a5ce8a61d26906736813a435.tar.gz
slackbuilds-d8362b085a2f4ab9a5ce8a61d26906736813a435.tar.xz
python/affine: Updated for version 2.2.0.
Diffstat (limited to 'python/affine')
-rw-r--r--python/affine/affine.SlackBuild15
-rw-r--r--python/affine/affine.info6
2 files changed, 13 insertions, 8 deletions
diff --git a/python/affine/affine.SlackBuild b/python/affine/affine.SlackBuild
index 6434fc1a45..c54df83fdc 100644
--- a/python/affine/affine.SlackBuild
+++ b/python/affine/affine.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for affine
-# Copyright 2014 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# Copyright 2014-2018 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=affine
-VERSION=${VERSION:-2.1.0}
+VERSION=${VERSION:-2.2.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -70,12 +70,17 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
python setup.py install --root=$PKG
+if $(python3 -c 'import sys' 2>/dev/null); then
+ python3 setup.py install --root=$PKG
+fi
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
- grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a README.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.rst \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/python/affine/affine.info b/python/affine/affine.info
index d324835ccf..aab7ba7f55 100644
--- a/python/affine/affine.info
+++ b/python/affine/affine.info
@@ -1,8 +1,8 @@
PRGNAM="affine"
-VERSION="2.1.0"
+VERSION="2.2.0"
HOMEPAGE="https://github.com/sgillies/affine"
-DOWNLOAD="https://github.com/sgillies/affine/archive/2.1.0/affine-2.1.0.tar.gz"
-MD5SUM="a5b0db37f34168120e63ffceddaf6333"
+DOWNLOAD="https://github.com/sgillies/affine/archive/2.2.0/affine-2.2.0.tar.gz"
+MD5SUM="a74088b53d896ca613fb6b32b31dff22"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""